// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: generationmodule/generationmodule.proto

package openfmb.generationmodule;

public interface GeneratingUnitOrBuilder extends
    // @@protoc_insertion_point(interface_extends:generationmodule.GeneratingUnit)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ConductingEquipment conductingEquipment = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the conductingEquipment field is set.
   */
  boolean hasConductingEquipment();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ConductingEquipment conductingEquipment = 1 [(.uml.option_parent_message) = true];</code>
   * @return The conductingEquipment.
   */
  openfmb.commonmodule.ConductingEquipment getConductingEquipment();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ConductingEquipment conductingEquipment = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.ConductingEquipmentOrBuilder getConductingEquipmentOrBuilder();

  /**
   * <pre>
   * This is the maximum operating active power limit the dispatcher can enter for this unit.
   * </pre>
   *
   * <code>.commonmodule.ActivePower maxOperatingP = 2;</code>
   * @return Whether the maxOperatingP field is set.
   */
  boolean hasMaxOperatingP();
  /**
   * <pre>
   * This is the maximum operating active power limit the dispatcher can enter for this unit.
   * </pre>
   *
   * <code>.commonmodule.ActivePower maxOperatingP = 2;</code>
   * @return The maxOperatingP.
   */
  openfmb.commonmodule.ActivePower getMaxOperatingP();
  /**
   * <pre>
   * This is the maximum operating active power limit the dispatcher can enter for this unit.
   * </pre>
   *
   * <code>.commonmodule.ActivePower maxOperatingP = 2;</code>
   */
  openfmb.commonmodule.ActivePowerOrBuilder getMaxOperatingPOrBuilder();
}
